summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorAetf2018-03-29 14:29:11 -0400
committerAetf2018-03-29 14:31:21 -0400
commitd102973a335faf07317acbd1dc67480b365affc6 (patch)
tree25c4980ddc2a2d38e2e55aee7ec0705c00f90562 /PKGBUILD
downloadaur-d102973a335faf07317acbd1dc67480b365affc6.tar.gz
Initial commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..1d2f751d180
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,44 @@
+# Maintainer: Aetf <aetf@unlimitedcodeworks.xyz>
+# Contributor: Lukas Jirkovsky <l.jirkovsky@gmail.com>
+# Contributor: Andrea Scarpino <andrea@archlinux.org>
+# Contributor: Pierre Schmitz <pierre@archlinux.de>
+_pkgname=kgraphviewer
+pkgname=kgraphviewer-git
+pkgver=0.0.0
+pkgrel=1
+pkgdesc='A Graphviz dot graph file viewer for KDE'
+arch=(x86_64)
+url='http://www.kde.org/applications/graphics/kgraphviewer/'
+license=(GPL FDL)
+conflicts=($_pkgname)
+provides=($_pkgname)
+depends=(qt5-base qt5-svg kcoreaddons kdoctools kparts kio kwidgetsaddons kiconthemes graphviz)
+makedepends=(cmake extra-cmake-modules boost docbook-xsl)
+source=('git://anongit.kde.org/kgraphviewer')
+md5sums=(SKIP)
+
+pkgver() {
+ cd $_pkgname
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build(){
+ cd "$srcdir"
+
+ mkdir -p build
+ cd build
+ cmake ../$_pkgname \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_INSTALL_DIR=lib
+ make
+}
+
+package() {
+ cd "$srcdir/build"
+
+ make DESTDIR="$pkgdir" install
+}